首页 >  
搜索关键字:ruby    ( 4458个结果
闭包是什么,有什么特性,对页面有什么影响?
什么是闭包 “官方”的解释:所谓“闭包”,指的是一个拥有许多变量和绑定了这些变量的环境的表达式(通常是一个函 数),因而这些变量也是该表达式的一部分。 在 Scala、Scheme、Common Lisp、Smalltalk、Groovy、 JavaScript、Ruby、 Python、Go、Lu ...
分类:其他   时间:2019-05-12 21:54:46    收藏:0  评论:0  赞:0  阅读:18
Ruby异常处理的基础
异常处理的优点:程序不需要逐个确认处理结果,也能自动检查出程序错误会同时报告发送错误的位置,便于排查错误正常处理与错误处理的程序可以分开书写,使程序便于阅读异常处理的语法:如果异常处理的范围是整个方法体或者类,可以省略begin以及endbegin 可能会发生异常的处理rescue 异常类 发生异常 ...
分类:其他   时间:2019-05-12 20:18:29    收藏:0  评论:0  赞:0  阅读:18
ruby异常处理
begin # 这段代码抛出的异常将被下面的 rescue 子句捕获 rescue # 这个块将捕获所有类型的异常 retry # 这将把控制移到 begin 的开头 end ...
分类:其他   时间:2019-05-08 17:12:18    收藏:0  评论:0  赞:0  阅读:19
ruby在类中访问@,类外访问调用方法
class Box def initialize(w,h) @width,@height=w,h end def printWidth puts @width end def printHeight @height*12 endputs @width,"asfd" 这访问不了,只能在实例方法中访问,... ...
分类:其他   时间:2019-05-07 14:18:13    收藏:0  评论:0  赞:0  阅读:25
ruby
临时变量:|x| ...
分类:其他   时间:2019-05-07 10:57:31    收藏:0  评论:0  赞:0  阅读:21
车牌识别01__车牌抠图(CNN深度学习—opencv实现方法)
一、安装依赖1、mac安装brem /usr/bin/ruby -e "$(curl -fsSL https://raw.githubusercontent.com/Homebrew/install/master/install)"2、mac安装opencvbrew install opencv3、... ...
分类:其他   时间:2019-05-06 18:41:47    收藏:0  评论:0  赞:0  阅读:32
sass环境搭建之node-sass,ruby
该内容全部为搬运,感谢作者的分享~,附有原文链接。 使用ruby环境 SASS学习系列之(一) SASS,SCSS环境搭建(Ruby) 使用node-sass SASS学习系列之(二) SASS,SCSS环境搭建(node-sass) 通过命令编译: npm run sass input.scss ...
分类:其他   时间:2019-05-05 20:42:18    收藏:0  评论:0  赞:0  阅读:31
mac下安装appium
一:appium安装 1.直接安装 2.命令行安装 环境准备 1.java 2.git 3.ruby 4. brew brew的安装,brew是Mac OS不可或缺的套件管理器,地址https://brew.sh/index_zh-cn.html 执行命令:/usr/bin/ruby -e "$(c ...
分类:移动平台   时间:2019-05-05 20:40:03    收藏:0  评论:0  赞:0  阅读:31
MAC电脑下Appium 的真机测试环境搭建
本人的环境搭建的情况,MAC电脑一台(macOS Mojave 10.14.4),Xcode 10.2.1 ,自己注册的一个Apple ID 账户,必须你的电脑能连接互联网,最好不要用公司的网络,限制太多,容易掉坑里。 1.安装Homebrew 安装 /usr/bin/ruby -e "$(curl ...
分类:移动平台   时间:2019-05-04 14:33:54    收藏:0  评论:0  赞:0  阅读:38
大前端开发者需要了解的基础编译原理和语言知识
转自:https://yq.aliyun.com/articles/180879 在我刚刚进入大学,从零开始学习 C 语言的时候,我就不断的从学长的口中听到一个又一个语言,比如 C++、Java、Python、JavaScript 这些大众的,也有 Lisp、Perl、Ruby 这些相对小众的。一般 ...
分类:编程语言   时间:2019-05-03 23:50:29    收藏:0  评论:0  赞:0  阅读:33
Mongodb基本知识
Mongodb数据库,集合,文档 文档: 文档是Mongodb中的核心概念。文档就是键值对的有序集合。类似于ruby中的hash,python中的dict或是javascript中的对象。 可以只有一个键值对,也可以设置对个键值对。 文档中的值可以是多种不同的数据类型(甚至是一个内嵌的文档),"gr ...
分类:数据库技术   时间:2019-05-03 20:49:28    收藏:0  评论:0  赞:0  阅读:22
Ruby字符串(1):String基本用法
String字符串 字符串由String类提供,除了直接使用单双引号或其它字面量创建字符串,也可以使用String.new()方法来创建。 Ruby中的 字符串是可变对象 。 字符串的连接 直接连接即可: 单双引号 这和Perl一样,和Shell也类似。单引号是强引用,双引号是弱引用。 双引号的一个 ...
分类:其他   时间:2019-05-03 18:26:27    收藏:0  评论:0  赞:0  阅读:36
详解Redis Cluster集群
Redis Cluster是Redis的分布式解决方案,在Redis 3.0版本正式推出的,有效解决了Redis分布式方面的需求。当遇到单机内存、并发、流量等瓶颈时,可以采用Cluster架构达到负载均衡的目的。分布式集群首要解决把整个数据集按照分区规则映射到多个节点的问题,即把数据集划分到多个节点... ...
分类:其他   时间:2019-05-02 21:15:13    收藏:0  评论:0  赞:0  阅读:26
Mac搭建appium环境
1.安装brew 查看是否已经装上brew,终端输入命令:brew --version,已经装上的就不用再装了; 如果没有安装,终端输入命令:ruby -e "$(curl -fsSL https://raw.githubusercontent.com/Homebrew/install/master ...
分类:移动平台   时间:2019-05-02 10:14:55    收藏:0  评论:0  赞:0  阅读:43
Node.js介绍、优势、用途
一、Node.js介绍Node.js是一个javascript运行环境。它让javascript可以开发后端程序,实现几乎其他后端语言实现的所有功能,可以与PHP、Java、Python、.NET、Ruby等后端语言平起平坐。 Nodejs是基于V8引擎,V8是Google发布的开源JavaScri ...
分类:Web开发   时间:2019-04-30 20:47:58    收藏:0  评论:0  赞:0  阅读:30
C、C++、Java、JavaScript、PHP、Python有啥区别,终于搞清楚了
c语言主要用于底层和驱动,编译器开发 c语言高效底层,主要用于底层的开发,比如一些系统驱动;unix,linux系统和其上相关应用的开发; 有很多语言比如python、php、perl、ruby等都c语言开发的这些语言的核心库,编译器等开发都是c语言。比如鸟哥的php7的开发,就基本上全是c语言了, ...
分类:编程语言   时间:2019-04-30 14:27:51    收藏:0  评论:0  赞:0  阅读:28
PHP的Composer 与 Packagist,简单入门
Composer 是一个 杰出 的依赖管理器。在 composer.json 文件中列出你项目所需的依赖包,加上一点简单的命令,Composer 将会自动帮你下载依赖包并设置自动加载。Composer 可以类比为 node.js 世界的 NPM 或 Ruby 世界的 Bundler。 现在已经有许多 ...
分类:Web开发   时间:2019-04-30 11:26:53    收藏:0  评论:0  赞:0  阅读:22
Redis集群搭建,添加,删除,《实验》
端口号:7000-7005第一步:EPEL源安装ruby支持yuminstallrubyrubygems-y第二步:使用国内源:查看替换删除查看安装gemsources-lgemsources-ahttps://mirrors.aliyun.com/rubygems/gemsources--removehttps://rubygems.org/gemsources-lgeminstallredis-
分类:其他   时间:2019-04-28 12:28:01    收藏:0  评论:0  赞:0  阅读:30
redis requires Ruby version >= 2.2.2问题
一、说明: 搭建Redis集群时,安装 报错: redis requires Ruby version >= 2.2.2的报错,查了资料发现是Centos默认支持ruby到2.0.0,可gem 安装redis需要最低是2.2.2 二、解决办法: 解决:分别执行: curl -sSL https:// ...
分类:其他   时间:2019-04-26 14:52:19    收藏:0  评论:0  赞:0  阅读:15
Mac上搭建rtmp流媒体服务器(结合FFmpeg的使用)
1.确保安装homebrew 安装则跳到第二步 ruby -e "$(curl -fsSL https://raw.githubusercontent.com/Homebrew/install/master/install)" 2.brew tap nginx brew install nginx- ...
分类:系统服务   时间:2019-04-22 18:45:38    收藏:0  评论:0  赞:0  阅读:74
4458条   1 2 3 4 ... 223 下一页
© 2014 designnerd.net 版权所有 鲁ICP备09046678号-4
打开技术之扣,分享程序人生!
             

鲁公网安备 37021202000002号